Changeset 10046


Ignore:
Timestamp:
Jan 29, 2010, 7:11:56 PM (12 years ago)
Author:
charles
Message:

(trunk) #2795 "non-GUI compilation issues on OS X 10.4" -- fixed for 1.90

Location:
trunk
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • trunk/configure.ac

    r10042 r10046  
    386386  *darwin*)
    387387    have_darwin="yes"
     388    CFLAGS="-DMACOSX $CFLAGS"
     389    ;;
     390
     391esac
     392
     393AC_ARG_ENABLE([cli],
     394              [AS_HELP_STRING([--enable-cli],[build command-line client])],
     395              [build_cli=${enableval}],
     396              [build_cli="yes"])
     397AM_CONDITIONAL([BUILD_CLI],[test "x$build_cli" = "xyes"])
     398
     399AC_ARG_ENABLE([mac],
     400              [AS_HELP_STRING([--enable-mac],[build Mac client])],
     401              [build_mac=${enableval}],
     402              [build_mac=${have_darwin}])
     403AM_CONDITIONAL([BUILD_MAC],[test "x$build_mac" = "xyes"])
     404
     405AC_ARG_ENABLE([daemon],
     406              [AS_HELP_STRING([--enable-daemon],[build daemon])],
     407              [build_daemon=${enableval}],
     408              [build_daemon="yes"])
     409AM_CONDITIONAL([BUILD_DAEMON],[test "x$build_daemon" = "xyes"])
     410
     411
     412if test "x$build_mac" = "xyes" ; then
    388413    # Make sure the proper Mac SDK is installed
    389414    if test ! -d /Developer/SDKs/MacOSX10.5.sdk; then
    390415      cat << EOF
    391 You need to install the Mac OS X 10.5 SDK in order to build Transmission:
     416You need to install the Mac OS X 10.5 SDK in order to build Transmission
     417with --enable-mac:
    392418  Get your Xcode CD or package
    393419  Restart the install
     
    398424      exit 1
    399425    fi
    400     ;;
    401 
    402 esac
    403 
    404 AC_ARG_ENABLE([cli],
    405               [AS_HELP_STRING([--enable-cli],[build command-line client])],
    406               [build_cli=${enableval}],
    407               [build_cli="yes"])
    408 AM_CONDITIONAL([BUILD_CLI],[test "x$build_cli" = "xyes"])
    409 
    410 AC_ARG_ENABLE([mac],
    411               [AS_HELP_STRING([--enable-mac],[build Mac client])],
    412               [build_mac=${enableval}],
    413               [build_mac=${have_darwin}])
    414 AM_CONDITIONAL([BUILD_MAC],[test "x$build_mac" = "xyes"])
    415 
    416 AC_ARG_ENABLE([daemon],
    417               [AS_HELP_STRING([--enable-daemon],[build daemon])],
    418               [build_daemon=${enableval}],
    419               [build_daemon="yes"])
    420 AM_CONDITIONAL([BUILD_DAEMON],[test "x$build_daemon" = "xyes"])
    421 
    422 
     426fi
    423427if test "x$have_darwin" = "xyes"; then
    424428    AC_DEFINE([HAVE_DARWIN], 1)
  • trunk/third-party/miniupnp/updateminiupnpcstrings.sh

    r9166 r10046  
    1414# use lsb_release (Linux Standard Base) when available
    1515LSB_RELEASE=`which lsb_release`
    16 if [ 0 -eq $? ]; then
     16if [ 0 -eq $? -a -x "${LSB_RELEASE}" ]; then
    1717        OS_NAME=`${LSB_RELEASE} -i -s`
    1818        OS_VERSION=`${LSB_RELEASE} -r -s`
Note: See TracChangeset for help on using the changeset viewer.